Bug 212909 - (pear-HTML-Common) Review Request: php-pear-HTML-Common - Base class for other HTML classes
Review Request: php-pear-HTML-Common - Base class for other HTML classes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-HTML-QuickForm pear-HTML-Table
  Show dependency treegraph
 
Reported: 2006-10-29 21:52 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 02:17:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 21:52:10 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Common.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Common-1.2.3-1.src.rpm

Description:
The PEAR::HTML_Common package provides methods for html code display and
attributes handling.
* Methods to set, remove, update html attributes.
* Handles comments in HTML code.
* Handles layout, tabs, line endings for nicer HTML code.
Comment 1 Remi Collet 2006-11-11 14:00:58 EST
First comment before the full review.

There is no use of PEAR in HTML/Common.php, so no need to Require it (only the
installer is required for the scriplet in %post/%postun).

Include the PHP License in the %doc
Comment 2 Christopher Stone 2006-11-11 16:19:16 EST
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Common.spec
SRPM:
http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Common-1.2.3-2.src.rpm

%changelog
* Sat Nov 11 2006 Christopher Stone <chris.stone@gmail.com> 1.2.3-2
- Add License file to %%doc
- Remove Requires PEAR
Comment 3 Remi Collet 2006-11-12 03:44:21 EST
No test suite, but ones provide by others extensions (HTML_Table and
HTML_Quickform) use this one and works well.

== REVIEW == 
* source files match upstream:
3598dd20e3be90ae445501e9c2d59506  HTML_Common-1.2.3.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (PHP)
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
php-pear(HTML_Common) = 1.2.3
php-pear-HTML-Common = 1.2.3-2.fc7
* %check is not present
* owns the directories it creates
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Christopher Stone 2007-04-25 00:55:18 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-HTML-Common
Short Description: Base class for other HTML classes
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.